SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000724SiT!otherpublic2009-06-09 20:242011-02-14 13:18
Reporterpaulh 
Assigned Topaulh 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0000724: Remove webtrack.conf include
DescriptionWe're only including this for legacy systems so we should consider dropping this include.

I'm suspecting the only install using this is Salfords which would be easy enough to change.

In addition to making the code easier to read it should also improve speed as we're removing an include on EVERY page
TagsNo tags attached.
Attached Files

- Relationships
related to 0000723closedivan Get away from hardcoding /etc/sit.conf 

-  Notes
User avatar (0001174)
ivan (administrator)
2009-06-10 11:43

I agree, this is only kept for legacy reasons and is more than likely not really needed now.
User avatar (0002578)
ivan (administrator)
2010-03-02 11:41

Targeting this for 4.0, no reason to keep it beyond that.
User avatar (0002919)
paulh (administrator)
2010-04-03 12:53

We switched to using sit.conf at Salford sometime ago as well ;-)
User avatar (0002923)
paulh (administrator)
2010-04-04 19:34

7bc5d6ea removes the webtrack.conf includes and displays a message in setup.php informing the admin if the file exists

- Issue History
Date Modified Username Field Change
2009-06-09 20:24 paulh New Issue
2009-06-09 20:24 paulh Projection none => tweak
2009-06-09 20:24 paulh ETA none => < 1 day
2009-06-10 11:40 ivan Relationship added related to 0000723
2009-06-10 11:43 ivan Note Added: 0001174
2009-06-10 11:43 ivan Status new => confirmed
2010-03-02 11:41 ivan Note Added: 0002578
2010-03-02 11:41 ivan Target Version => 4.0
2010-04-03 12:53 paulh Status confirmed => assigned
2010-04-03 12:53 paulh Assigned To => paulh
2010-04-03 12:53 paulh Note Added: 0002919
2010-04-04 19:34 paulh Note Added: 0002923
2010-04-04 19:34 paulh Status assigned => resolved
2010-04-04 19:34 paulh Resolution open => fixed
2010-04-04 19:34 paulh Fixed in Version => Current GIT
2011-02-14 13:18 ivan Fixed in Version Current GIT => 3.90beta1
2011-02-14 13:18 ivan Fixed in Version 3.90beta1 => Current GIT
2011-02-14 13:18 ivan Target Version 4.0 => 3.90beta1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker